Bug Hunting Session
Bug 88502 - User selection of Firefox theme by pasting URL in UI is not possible
Summary: User selection of Firefox theme by pasting URL in UI is not possible
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.1 rc
Hardware: Other All
: high normal
Assignee: Susobhan Ghosh
URL:
Whiteboard: target:5.2.0
Keywords: bibisected, bisected, difficultyInteresting, easyHack, regression, skillCpp, topicUI
: 89302 89533 90313 93155 93179 (view as bug list)
Depends on: 60543
Blocks: Firefox-Themes
  Show dependency treegraph
 
Reported: 2015-01-16 15:41 UTC by Pedro
Modified: 2017-02-14 08:57 UTC (History)
16 users (show)

See Also:
Crash report or crash signature:


Attachments
patch attempt (1.20 KB, application/mbox)
2016-02-02 14:29 UTC, Yousuf Philips (jay) (retired)
Details
added theme address to custom theme dialog (24.46 KB, image/png)
2016-03-17 12:03 UTC, Susobhan Ghosh
Details
Firefox theme patched mockup (158.88 KB, image/png)
2016-05-04 16:09 UTC, steve -_-
Details
Mockup of Theme selection with preview (136.27 KB, image/png)
2016-05-04 22:43 UTC, Pedro
Details
2016-05-06 not working yet, error message (57.15 KB, image/png)
2016-05-06 10:13 UTC, steve -_-
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2015-01-16 15:41:52 UTC
Under Tools > Options > Libreoffice > Personalization > Own Theme > Select Theme

there is no field for the user to paste a direct link to a user selected theme.

The user is therefore limited to choosing one of the 9 results for each category button or the one of the 9 top results of the Custom Search. 

This is a regression in functionality from 4.3
Comment 1 Robinson Tryon (qubit) 2015-01-16 19:06:45 UTC
TESTING on Ubuntu 14.04

(In reply to Pedro from comment #0)
> Under Tools > Options > Libreoffice > Personalization > Own Theme > Select
> Theme
> 
> there is no field for the user to paste a direct link to a user selected
> theme.
>
> This is a regression in functionality from 4.3

With LO 4.3.2.2 - Clicking the 'Own Theme' radio button brings up a dialog where one may select a particular theme by pasting-in a URL

With LO 4.4.0.2 - Clicking on the 'Own Theme' radio button now has the same effect as clicking on the 'Select Theme' button: it brings up the 'Select Firefox Theme' dialog.

CONFIRMED: Selecting theme by URL is missing

Status -> NEW
Keywords -> regression
Whiteboard -> bibisectRequest
Comment 2 Adolfo Jayme 2015-01-16 21:34:01 UTC
Removing bibisectRequest as it is obvious this regressed in the GSoC Persona commits. It is an oversight in the new implementation.
Comment 3 Cor Nouws 2015-01-17 12:21:13 UTC
There is an issue already addressing the problems: 86544
See comment issue 86544#3 

But maybe that must be reworked to a meta issue ?

*** This bug has been marked as a duplicate of bug 86544 ***
Comment 4 Adolfo Jayme 2015-02-22 06:52:05 UTC
(In reply to Cor Nouws from comment #3)
> But maybe that must be reworked to a meta issue ?

That bug report is too broad, it should indeed be a meta issue.
Comment 5 Adolfo Jayme 2015-02-22 06:53:20 UTC
*** Bug 89302 has been marked as a duplicate of this bug. ***
Comment 6 Adolfo Jayme 2015-02-22 06:53:58 UTC
*** Bug 89533 has been marked as a duplicate of this bug. ***
Comment 7 Robinson Tryon (qubit) 2015-03-05 17:02:46 UTC
(In reply to Adolfo Jayme from comment #2)
> Removing bibisectRequest as it is obvious this regressed in the GSoC Persona
> commits. It is an oversight in the new implementation.

Fair enough:
Whiteboard -> bibisectNotNeeded
Comment 8 Adolfo Jayme 2015-03-29 13:31:40 UTC
*** Bug 90313 has been marked as a duplicate of this bug. ***
Comment 9 tommy27 2015-07-28 05:51:19 UTC
still present in LibO 4.4.5.2 see: https://bugs.documentfoundation.org/show_bug.cgi?id=92942#c4
Comment 10 Adolfo Jayme 2015-08-06 19:57:42 UTC
*** Bug 93179 has been marked as a duplicate of this bug. ***
Comment 11 Adolfo Jayme 2015-08-09 13:44:02 UTC
*** Bug 93155 has been marked as a duplicate of this bug. ***
Comment 12 manuel 2015-11-15 11:48:19 UTC
hi all you

i did try my fix test and worked...

first step:

from firefox file prefs.js (from home/user/.mozilla/firefox/profile/)
there are code:

user_pref("lightweightThemes.persisted.footerURL", true);

user_pref("lightweightThemes.persisted.headerURL", true);

user_pref("lightweightThemes.selectedThemeID", "652256");


user_pref("lightweightThemes.usedThemes", "[{\"id\":\"652256\",\"name\":\"Dandelion Seeds . Water Droplets\",\"headerURL\":\"https://addons.cdn.mozilla.net/user-media/addons/652256/header.png?1441718429\",\"footerURL\":\"https://addons.cdn.mozilla.net/user-media/addons/652256/footer.png?1441718429\",\"textcolor\":\"#013b3a\",\"accentcolor\":\"#cce8e3\",\"iconURL\":\"https://addons.cdn.mozilla.net/user-media/addons/652256/icon.png?1441718429\",\"previewURL\":\"https://addons.cdn.mozilla.net/user-media/addons/652256/preview.png?1441718429\",\"author\":\"VanillaOrchids\",\"updateURL\":\"https://versioncheck.addons.mozilla.org/en-US/themes/update-check/652256\",\"version\":\"0\",\"updateDate\":1447576483507,\"installDate\":1447576483507}]");

so the image header is:

https://addons.cdn.mozilla.net/user-media/addons/652256/header.png

so the image footer is:
https://addons.cdn.mozilla.net/user-media/addons/652256/footer.png

so i did fix my test trick:

1)

close all libreoffice.  
before you save 2 files png (2 link):

https://addons.cdn.mozilla.net/user-media/addons/652256/header.png
https://addons.cdn.mozilla.net/user-media/addons/652256/footer.png


save in path (linux, my case: opensuse 13.2):

/home/$user$/.config/libreoffice/4-suse/user/gallery/personas/     (save here header.png,footer)

(if there are not folder name "gallery" and "personas" then you can create 1 folder name "gallery" and sub-folder you can create name "personas".)

2)

go to folder: /home/$user$/.config/libreoffice/4-suse/user/

3)

open file name "registrymodifications.xcu" with kwrite or notepad++

4)

find row:

"<item oor:path="/org.openoffice.Office.Common/Misc"><prop oor:name="PersonaSettings" oor:op="fuse"><value></value></prop></item>"


add write "header.png;footer.png" see example:


"<item oor:path="/org.openoffice.Office.Common/Misc"><prop oor:name="PersonaSettings" oor:op="fuse"><value>header.png;footer.png</value></prop></item>"


5)

find row:

"<item oor:path="/org.openoffice.Office.Common/Misc"><prop oor:name="Persona" oor:op="fuse"><value>no</value></prop></item>"


add write "own" see example:

"<item oor:path="/org.openoffice.Office.Common/Misc"><prop oor:name="Persona" oor:op="fuse"><value>own</value></prop></item>"

6)

GOAL, finish, open Libreoffice 4.4 or 5.0

this is manual modify.. maybe/hope the team develops can see this fix and create a script generator...is possible?

this is help for all you..  

manuel
Comment 13 Yousuf Philips (jay) (retired) 2015-11-17 06:40:36 UTC
@manuel: Possibly a dev can use your steps to do the necessary.

Would be good to have a bibisect to see if the old code was removed when the new dialog was introduced in 4.4.
Comment 14 manuel 2015-11-17 09:03:07 UTC
hello, i do create new script in bash for add url automatic like as 4.3..
now i'm 80% to finish, be patience a few days, keep update here and mail listing users global libreoffice ok? manuel
Comment 15 Yousuf Philips (jay) (retired) 2015-11-17 09:32:20 UTC
@manuel: Not sure why you are changing the status to NEEDINFO, as that is the incorrect status. If you are working on a patch, please set it to ASSIGNED.
Comment 16 manuel 2015-11-17 16:51:42 UTC
(In reply to Yousuf (Jay) Philips from comment #15)
> @manuel: Not sure why you are changing the status to NEEDINFO, as that is
> the incorrect status. If you are working on a patch, please set it to
> ASSIGNED.

i'm not sure for patch, because i use bash script, it's same to do: "assigned"?
Comment 17 raal 2015-11-18 16:56:05 UTC
This seems to have begun at the below commit.
Adding Cc: to Rachit Gupta  ; Could you possibly take a look at this one?
Thanks

6fb9fea6e4ba94f5ebf1ed70a635349c2256e1f5 is the first bad commit
commit 6fb9fea6e4ba94f5ebf1ed70a635349c2256e1f5
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sun Mar 15 01:09:10 2015 +0800

    source-hash-cd1fae3114fb25845a4d020cd53e9aab460dc2fd
    
    commit cd1fae3114fb25845a4d020cd53e9aab460dc2fd
    Author:     Rachit Gupta <rachitgupta1792@gmail.com>
    AuthorDate: Thu May 1 23:55:41 2014 +0530
    Commit:     Jan Holesovsky <kendy@collabora.com>
    CommitDate: Thu Aug 14 19:43:23 2014 +0200
    
        select_persona_dialog.ui changed to include search.
    
        The entered text is searched on Mozilla's test server and the result is parsed.
    
        Change-Id: I2be660b0f7f60d2bdb2c54cbc958084b87ad1e05
Comment 18 manuel 2015-11-20 22:46:17 UTC
hello to all!!!!!

i'm finished the script bash generator theme firefox for libreoffice works 100%
but i'm not a programmer, i can try, if i can..


but i need any programmer 'expert Libreoffice' for patch or Merge in libreoffice from my base script to code of libreoffice ok?


i'm not expert for licence and you can help to me for suggest  or you can suggest me, for me is free my script ok?


i'm not expert bash scripting, i did find from site, blog, guide, ask a question, for you (libreoffice)


you can change/fix my bash script, it's welcome for all libreoffice

then here link my bash script:

https://github.com/manuelsongokuh/theme-firefox-for-libreoffice-4.4-5

please to call all programmers can see and can copy my bash script and convert in code of Libreoffice,


i never to create my hand code, i'm newbie, i cant go over limit, you can copy my code and go over, for me is FINE ok?


thank you
Comment 19 Pedro 2015-12-05 17:59:21 UTC
Changing to NEW based on Comment #1 from January 2015
Comment 20 Robinson Tryon (qubit) 2015-12-14 00:50:04 UTC Comment hidden (obsolete)
Comment 21 Samuel Mehrbrodt (CIB) 2016-02-02 11:29:55 UTC
EasyHack:

This commit has the code pointers needed to add this functionality back: http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd1fae3114fb25845a4d020cd53e9aab460dc2fd
Comment 22 Yousuf Philips (jay) (retired) 2016-02-02 14:29:40 UTC
Created attachment 122330 [details]
patch attempt

This was a patch i attempted to create to solve this issue but never got around to test it but believe it needs more work.
Comment 23 Robinson Tryon (qubit) 2016-02-18 14:52:09 UTC Comment hidden (obsolete)
Comment 24 Susobhan Ghosh 2016-03-16 15:41:33 UTC
Hi. I'd like to work on this issue.

I checked the latest dev-build, and searched normally for a theme (without URL). It returned "Cannot open https://addons........ please try again later", and said 
"(pkix_CacheCert_Add: PKIX_PL_HashTable_Add for Certs skipped: entry existed" on the console. 

I tried a normal theme search (without URL) on release 5.1, and it worked normally.

So, is this feature also broken right now? I checked on a build from March 14.
Comment 25 Yousuf Philips (jay) (retired) 2016-03-17 07:15:09 UTC
(In reply to Susobhan Ghosh from comment #24)
> Hi. I'd like to work on this issue.

Glad to hear it.

> I checked the latest dev-build, and searched normally for a theme (without
> URL). It returned "Cannot open https://addons........ please try again
> later", and said 
> "(pkix_CacheCert_Add: PKIX_PL_HashTable_Add for Certs skipped: entry
> existed" on the console. 

This is what happens to me on Linux with 4.4 to 5.1 and master, but doesnt happen on those same version on Windows, which makes me believe the curl maybe the cause of this https issue. @Giuseppe, @Cloph: Can you check on this?
Comment 26 Giuseppe Castagno (aka beppec56) 2016-03-17 09:01:45 UTC
@Yousuf

> This is what happens to me on Linux with 4.4 to 5.1 and master, but doesnt
> happen on those same version on Windows, which makes me believe the curl
> maybe the cause of this https issue. @Giuseppe, @Cloph: Can you check on
> this?

probably the search url not working has something to do with the topic discussed here:
<http://nabble.documentfoundation.org/Revive-personas-tt4178744.html>

as it's described in that mail thread, WebDAV is involved, where neon is used.

I'll have a look to the WebDAV part.
While Susobhan may work on the UI part
Comment 27 Susobhan Ghosh 2016-03-17 12:03:12 UTC
Created attachment 123657 [details]
added theme address to custom theme dialog

(In reply to Giuseppe Castagno (aka beppec56) from comment #26)
@Giuseppe
> probably the search url not working has something to do with the topic
> discussed here:
> <http://nabble.documentfoundation.org/Revive-personas-tt4178744.html>

I checked it out, and even with the services child domain added in the URL, the issue remains the same. Is there any temporary work-around for this, so that I can check if my fix is working?

@Yousuf
I added the "Theme Address" field to the dialog box (see attachment). Anything that I'm missing or not clear?
Comment 28 Yousuf Philips (jay) (retired) 2016-03-18 07:16:54 UTC
(In reply to Susobhan Ghosh from comment #27)
> @Yousuf
> I added the "Theme Address" field to the dialog box (see attachment).
> Anything that I'm missing or not clear?

@Susobhan: Here are some suggestions, though i had planned in my patch (attachment 122330 [details]) to allow both a search term or theme url to used in the custom search field.

1) Remove 'Firefox Themes' label link and rename 'Theme Address' to 'Firefox Theme Address', with 'Firefox Theme' being a link, so the apply and search buttons would align up with each other.

2) The various buttons seem to all be different sizes, and it would be good to have them as the standard button size, which i'm assuming the help and OK buttons are using.

3) Remove the 'Categories:' label and rename 'Suggested Themes by Category' to 'Suggested Categories'.

4) Add a separator below the theme address textbox and above the 3x3 grid, so its easier to see what sections are related.
Comment 29 Susobhan Ghosh 2016-03-18 19:51:52 UTC
(In reply to Yousuf (Jay) Philips from comment #28)
> (In reply to Susobhan Ghosh from comment #27)
@Yousuf
> @Susobhan: Here are some suggestions, though i had planned in my patch
> (attachment 122330 [details]) to allow both a search term or theme url to
> used in the custom search field.

That patch was helpful. Thank you. I pushed a change.

Both search term and theme url in custom search field is a good idea in my opinion too, thus I didn't push any change regarding the ui yet. But in that case, should I somehow add a "Visit Firefox Themes" or similar button just to let the user know that he/she can add by URL itself? And which of the suggestions you gave still applies to the current dialog and needs to be changed?
Comment 30 Pedro 2016-03-18 22:20:47 UTC
Thank you both for fixing this.

In my opinion the search interface is useless (you can only see 9 options) and the search is not even consistent with the results from a Theme search at Mozilla.
If there was a poll about this I would surely vote for removing it.

What is indeed missing is a field indicating the name of the theme currently in use (and link so that you can share with others)
Iit could be interesting to add a way to reload previously loaded themes (since some are stored  in the \user\gallery\personas folder if the filename is NOT the same). Of course this needs a little improving...

Maybe this could be discussed in the Design mailing list?
Comment 31 Yousuf Philips (jay) (retired) 2016-03-19 11:53:30 UTC
(In reply to Susobhan Ghosh from comment #29)
> That patch was helpful. Thank you. I pushed a change.

Glad that it did.

> Both search term and theme url in custom search field is a good idea in my
> opinion too, thus I didn't push any change regarding the ui yet. But in that
> case, should I somehow add a "Visit Firefox Themes" or similar button just
> to let the user know that he/she can add by URL itself?

Yes a Firefox themes link would be useful so change 'Custom Search' to 'Custom Search or Firefox Theme URL' and have 'Firefox Theme' as a link.

> And which of the
> suggestions you gave still applies to the current dialog and needs to be
> changed?

2, 3 and 4 are still applicable to the current dialog.
Comment 32 Yousuf Philips (jay) (retired) 2016-03-19 14:15:55 UTC
(In reply to Pedro from comment #30)
> In my opinion the search interface is useless (you can only see 9 options)
> and the search is not even consistent with the results from a Theme search
> at Mozilla.

The search is beneficial in that a user doesnt have to go to mozilla's site to search for it. I tested the results and the 9 that showed up are on the first page of results on mozilla, so it is consistent. The search uses mozilla's api so this issue cant be blamed on the implementation.

> What is indeed missing is a field indicating the name of the theme currently
> in use (and link so that you can share with others)

Yes this would be useful and it would be good to add the name next to the 'Own Theme' label on the Personalization page of the options dialog. Something like 'Own Theme (Solid Grey)'.

> Iit could be interesting to add a way to reload previously loaded themes
> (since some are stored  in the \user\gallery\personas folder if the filename
> is NOT the same). Of course this needs a little improving...

Yes it would also be good for a user to be able to select an already installed theme rather than having to go through the searching and installing another time.

Lets see how much Susobhan can achieve and add new enhancements for the stuff that isnt done.
Comment 33 Susobhan Ghosh 2016-03-19 17:26:18 UTC
(In reply to Yousuf (Jay) Philips from comment #32)

> Yes this would be useful and it would be good to add the name next to the
> 'Own Theme' label on the Personalization page of the options dialog.
> Something like 'Own Theme (Solid Grey)'.

I've added this and pushed the patch to gerrit. Please review it :)

> Yes it would also be good for a user to be able to select an already
> installed theme rather than having to go through the searching and
> installing another time.

Problem is it just stores the preview image and nothing else in \user\gallery\personas folder, if I'm not wrong.
Comment 34 Pedro 2016-03-19 19:00:34 UTC
(In reply to Susobhan Ghosh from comment #33)
> > Yes it would also be good for a user to be able to select an already
> > installed theme rather than having to go through the searching and
> > installing another time.
> 
> Problem is it just stores the preview image and nothing else in
> \user\gallery\personas folder, if I'm not wrong.

No, it stores the two images used in the Theme: header and footer. However there is more information in the Theme (like the menu colour) which doesn't seem to be stored for the previous themes.

I do know that the details for the currently used theme are stored in registrymodifications.xcu

<item oor:path="/org.openoffice.Office.Common/Misc"><prop oor:name="PersonaSettings" oor:op="fuse"><value>header.png;footer.png;#ffffff;#None</value></prop></item>

Where #ffffff is the menu colour.

I can't find the Theme name there, so probably this is lost also.

The point here is: either the previous themes are properly stored or LO should simply purge the images for the previous theme from the persona folder.
Comment 35 Commit Notification 2016-04-15 10:07:13 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70bb8c257e7fc402da60fa70109cece1fe4c69d1

Related tdf#88502 Add default XCommandEnvironment to ...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Pedro 2016-04-20 23:17:58 UTC
(In reply to Commit Notification from comment #35)
> Giuseppe Castagno committed a patch related to this issue.
> It has been pushed to "master":

I just tested build

Version: 5.2.0.0.alpha0+ (x64)
Build ID: e8425c48102321d4f5a8bd687c8ca1ac7bae797e
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-04-20_16:47:56
Locale: pt-PT (pt_PT)

and I don't see any changes. There is still no field to paste an URL. Am I missing something?
Comment 37 Yousuf Philips (jay) (retired) 2016-04-21 00:28:46 UTC
(In reply to Pedro from comment #36)
> and I don't see any changes. There is still no field to paste an URL. Am I
> missing something?

Giuseppe fix is to make allow searches to work, which is currently broken. Susobhan's patch is where the UI change will happen.

https://gerrit.libreoffice.org/#/c/23385/
Comment 38 Commit Notification 2016-04-22 07:14:11 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37d34e2b6a96569313178ce864096722230cb3b9

Related tdf#88502 a better implementation than the one in...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2016-05-04 15:44:45 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46c87a5e8a52afd0060a399f71e8814cc120852c

tdf#88502 Firefox Theme URL in custom theme search

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 40 steve -_- 2016-05-04 16:09:53 UTC
Created attachment 124842 [details]
Firefox theme patched mockup
Comment 41 Heiko Tietze 2016-05-04 18:45:41 UTC
[20:43] <steve-_-> htietze: any objections to re-naming "Suggested categories" to "Categories"
[20:44] <htietze> steve-_-: Absolutely not. I never understood the reason for "suggested".
[20:44] <steve-_-> lol can you add this into the bug?
Comment 42 Pedro 2016-05-04 22:42:35 UTC
(In reply to Heiko Tietze from comment #41)
> [20:43] <steve-_-> htietze: any objections to re-naming "Suggested
> categories" to "Categories"
> [20:44] <htietze> steve-_-: Absolutely not. I never understood the reason
> for "suggested".
> [20:44] <steve-_-> lol can you add this into the bug?

I believe the idea was to provide a proof of concept for a Category button and those were simply some suggestions (to be changed in the final version)

IMO the dialog would be much more useful if it allowed to paste a link (after searching at Firefox's site) and then displayed a Preview before applying the theme
Comment 43 Pedro 2016-05-04 22:43:44 UTC
Created attachment 124849 [details]
Mockup of Theme selection with preview
Comment 44 steve -_- 2016-05-04 23:50:56 UTC
Well I never thought the suggested categories were any useful at all. I am not even a friend of using firefox themes at all. If I were to make decisions for LO, this half baked potato would not exist in LO. I'd favor good presets i.e. good icon themes with High Contrast and dark variants any time over Firefox theming.

The question is: if this is to be kept, how can we make it useful to users. Until Susobhan started working on this, the entire feature was very broken. This ticket was an important step to make it somewhat usable. I am still waiting for the next master to include the latest fixes that where merge into master today.

This item here then might be fixed.

If someone is willing to think this through, it might be a good idea, to create 1 or 2 mockups and join the design team on the IRC channel. Revamping / improving / discussing categories might be a great item for one of their meetups.

On OS X the categories so far never have worked. So to me it's just another clumsy attempt to promote a half working feature by means that are also - not working.

But if this can be re-thought or the outstanding issues be addressed, maybe it makes a few users happy. Iirc, company branding was a pro argument, when I tried making a point that theming an office suite is not a good idea in the first place.

But all that is not for me to decide.
Comment 45 steve -_- 2016-05-06 10:08:30 UTC
Now that master can be started again (there was an issue in yesterdays build) I was able to test this.

Few observations:


* categories load very slowly (very bad UX - due to https + certs seem to be at fault is what bubli told me)
* I still don't think theming LO is a good idea in the first place

Now as to this specific bug here, it is not working (yet) for me.

Susobhan, when I paste e.g. https://addons.mozilla.org/de/firefox/addon/material-design-2000/ to the URL field, the dialog widens

Remaining issues:

1. dialog should not expand in size if any error is shown
2. any error that may happen has to be shown in an additional dialog / error message / whatever that is called
3. the error happens for any URL, so still broken - api related? I am not a code person, so this is for another human to investigate

Hope we can still get this done. If not, my vote to kill this feature is still standing.
Comment 46 steve -_- 2016-05-06 10:11:01 UTC Comment hidden (no-value)
Comment 47 steve -_- 2016-05-06 10:13:51 UTC
Created attachment 124878 [details]
2016-05-06 not working yet, error message
Comment 48 Susobhan Ghosh 2016-05-06 14:18:54 UTC
> Susobhan, when I paste e.g.
> https://addons.mozilla.org/de/firefox/addon/material-design-2000/ to the URL
> field, the dialog widens
> 
> Remaining issues:
> 
> 3. the error happens for any URL, so still broken - api related? I am not a
> code person, so this is for another human to investigate

I know what has caused this error. I'll update a patch today itself along with the removal of "suggested" from categories label.

> 1. dialog should not expand in size if any error is shown
> 2. any error that may happen has to be shown in an additional dialog / error
> message / whatever that is called

If I'm not wrong, Akshay Deep (akki) had raised this point on the IRC and jphilipz and you were there. There was some debate about it. So can we discuss this on the design channel and come to a proper conclusion?
Comment 49 Susobhan Ghosh 2016-05-06 15:45:25 UTC
(In reply to steve -_- from comment #47)
> Created attachment 124878 [details]
> 2016-05-06 not working yet, error message

Okay, I initially thought that the error was due to the fact that I didn't take into account other languages (I only allowed en-US links. You posted a german page link). I changed that, and I came across a different error.

The person who initially designed this feature, had run into issues with the html of the page, and thus the parsing became a headache (refer comments on the code). So, LO fetches the html from the page and fails to parse the html.

So if I can get in touch with Rachit Gupta or kendy (who were on this project 2 years back during GSoC), it'll be a great help to solve the parsing problem (or can it be actually solved, given the comments on the code says -" NOTE: Parsing for real is an overkill here; and worse - I tried, and the HTML the site provides is not 100% valid" )
Comment 50 Commit Notification 2016-05-07 14:21:15 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f22f287b4ae80c5879f87071be93c3ea5d1001c

tdf#88502 Firefox Theme URL in custom theme search

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 steve -_- 2016-05-11 12:36:44 UTC
verified this is now working as expected. lot's of minor things to improve but let's set this to fixed, verified.

if you disagree please re-open.